
Redmine - Defect #3368

Cannot create project on postgresql

2009-05-16 00:56 - Andrew Kouznetsov

Status: Closed Start date: 2009-05-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hello. I have just installed redmine. When i am trying create new project i see exception

RuntimeError: ERROR    C23505    Mduplicate key value violates unique constraint "projects_tracker

s_unique"    Fnbtinsert.c    L298    R_bt_check_unique: INSERT INTO "projects_trackers" ("project_

id", "tracker_id") VALUES (11, 1)

sql log:

  SQL (0.8ms)   SELECT max("settings".updated_on) AS max_updated_on FROM "settings" 

  User Load (2.3ms)   SELECT * FROM "users" WHERE ("users"."id" = 1) AND (users.status = 1) 

  IssueCustomField Load (2.0ms)   SELECT * FROM "custom_fields" WHERE ( ("custom_fields"."type" = 

'IssueCustomField' ) ) ORDER BY custom_fields.position

  Tracker Load (1.6ms)   SELECT * FROM "trackers" ORDER BY position                               

                                                      

  Tracker Load (1.5ms)   SELECT * FROM "trackers" WHERE ("trackers"."id" IN (1,2,3))              

                                                      

  SQL (0.3ms)   BEGIN                                                                             

                                                      

  SQL (0.2ms)   COMMIT                                                                            

                                                      

  SQL (0.3ms)   BEGIN                                                                             

                                                      

  SQL (0.2ms)   COMMIT                                                                            

                                                      

  SQL (0.2ms)   BEGIN                                                                             

                                                      

  SQL (0.2ms)   COMMIT                                                                            

                                                      

  SQL (0.2ms)   BEGIN                                                                             

                                                      

  SQL (0.2ms)   COMMIT                                                                            

                                                      

  SQL (0.2ms)   BEGIN                                                                             

                                                      

  SQL (0.2ms)   COMMIT                                                                            

                                                      

  SQL (0.2ms)   BEGIN                                                                             

                                                      

  SQL (0.2ms)   COMMIT                                                                            

                                                      

  SQL (0.3ms)   BEGIN                                                                             

                                                      

  SQL (0.3ms)   COMMIT                                                                            

                                                      

  SQL (0.3ms)   BEGIN                                                                             

                                                      

  SQL (0.3ms)   COMMIT                                                                            

                                                      

  SQL (0.3ms)   BEGIN                                                                             
  SQL (0.2ms)   COMMIT                                                                            

                                                      

  SQL (0.2ms)   BEGIN                                                                             

                                                      

  CustomField Load (1.7ms)   SELECT * FROM "custom_fields" WHERE (type = 'ProjectCustomField') ORD

ER BY position                                        

  EnabledModule Exists (0.9ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'issue_tracking' AND "enabled_modules".project_id IS NULL) LIMIT 1

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'time_tracking' AND "enabled_modules".project_id IS NULL) LIMIT 1 

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'news' AND "enabled_modules".project_id IS NULL) LIMIT 1          

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'documents' AND "enabled_modules".project_id IS NULL) LIMIT 1     

  EnabledModule Exists (0.5ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'files' AND "enabled_modules".project_id IS NULL) LIMIT 1         

  EnabledModule Exists (0.5ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'wiki' AND "enabled_modules".project_id IS NULL) LIMIT 1          

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'repository' AND "enabled_modules".project_id IS NULL) LIMIT 1

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'boards' AND "enabled_modules".project_id IS NULL) LIMIT 1

  Tracker Exists (0.6ms)   SELECT "trackers".id FROM "trackers" WHERE ("trackers"."name" = E'Ошибк

а' AND "trackers".id <> 1) LIMIT 1

  Tracker Exists (0.6ms)   SELECT "trackers".id FROM "trackers" WHERE ("trackers"."name" = E'Улучш

ение' AND "trackers".id <> 2) LIMIT 1

  Tracker Exists (0.6ms)   SELECT "trackers".id FROM "trackers" WHERE ("trackers"."name" = E'Подде

ржка' AND "trackers".id <> 3) LIMIT 1

  Project Exists (0.7ms)   SELECT "projects".id FROM "projects" WHERE ("projects"."name" = E'Магаз

ин Автозапчастей') LIMIT 1

  Project Exists (0.5ms)   SELECT "projects".id FROM "projects" WHERE ("projects"."identifier" = E

'autoshop') LIMIT 1

  CACHE (0.0ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enabled_modules"."nam

e" = E'issue_tracking' AND "enabled_modules".project_id IS NULL) LIMIT 1

  CACHE (0.0ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enabled_modules"."nam

e" = E'time_tracking' AND "enabled_modules".project_id IS NULL) LIMIT 1

  CACHE (0.0ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enabled_modules"."nam

e" = E'news' AND "enabled_modules".project_id IS NULL) LIMIT 1

  CACHE (0.0ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enabled_modules"."nam

e" = E'documents' AND "enabled_modules".project_id IS NULL) LIMIT 1

  CACHE (0.0ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enabled_modules"."nam

e" = E'files' AND "enabled_modules".project_id IS NULL) LIMIT 1

  CACHE (0.0ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enabled_modules"."nam

e" = E'wiki' AND "enabled_modules".project_id IS NULL) LIMIT 1

  CACHE (0.0ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enabled_modules"."nam

e" = E'repository' AND "enabled_modules".project_id IS NULL) LIMIT 1

  CACHE (0.0ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enabled_modules"."nam

e" = E'boards' AND "enabled_modules".project_id IS NULL) LIMIT 1

  CACHE (0.0ms)   SELECT "trackers".id FROM "trackers" WHERE ("trackers"."name" = E'Ошибка' AND "t

rackers".id <> 1) LIMIT 1

  CACHE (0.0ms)   SELECT "trackers".id FROM "trackers" WHERE ("trackers"."name" = E'Улучшение' AND

 "trackers".id <> 2) LIMIT 1

  CACHE (0.0ms)   SELECT "trackers".id FROM "trackers" WHERE ("trackers"."name" = E'Поддержка' AND

 "trackers".id <> 3) LIMIT 1

  CACHE (0.0ms)   SELECT "projects".id FROM "projects" WHERE ("projects"."name" = E'Магазин Автоза

пчастей') LIMIT 1

  CACHE (0.0ms)   SELECT "projects".id FROM "projects" WHERE ("projects"."identifier" = E'autoshop

') LIMIT 1

  SQL (0.7ms)   SELECT max("projects".rgt) AS max_rgt FROM "projects" 

  CACHE (0.0ms)   SELECT max("projects".rgt) AS max_rgt FROM "projects" 

  SQL (0.7ms)   INSERT INTO "projects" ("name", "created_on", "lft", "updated_on", "homepage", "pa

rent_id", "description", "is_public", "identifier", "status", "rgt") VALUES(E'Магазин Автозапчасте

й', '2009-05-16 03:05:01.633750', 1, '2009-05-16 03:05:01.633750', E'', NULL, E'', 't', E'autoshop

', 1, 2) RETURNING "id" 

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'issue_tracking' AND "enabled_modules".project_id = 2) LIMIT 1
  SQL (0.6ms)   INSERT INTO "enabled_modules" ("name", "project_id") VALUES(E'issue_tracking', 2) 

RETURNING "id" 

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'time_tracking' AND "enabled_modules".project_id = 2) LIMIT 1

  SQL (0.6ms)   INSERT INTO "enabled_modules" ("name", "project_id") VALUES(E'time_tracking', 2) R

ETURNING "id" 

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'news' AND "enabled_modules".project_id = 2) LIMIT 1

  SQL (0.6ms)   INSERT INTO "enabled_modules" ("name", "project_id") VALUES(E'news', 2) RETURNING 

"id" 

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'documents' AND "enabled_modules".project_id = 2) LIMIT 1

  SQL (0.5ms)   INSERT INTO "enabled_modules" ("name", "project_id") VALUES(E'documents', 2) RETUR

NING "id" 

  EnabledModule Exists (0.7ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'files' AND "enabled_modules".project_id = 2) LIMIT 1

  SQL (0.6ms)   INSERT INTO "enabled_modules" ("name", "project_id") VALUES(E'files', 2) RETURNING

 "id" 

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'wiki' AND "enabled_modules".project_id = 2) LIMIT 1

  SQL (0.6ms)   INSERT INTO "enabled_modules" ("name", "project_id") VALUES(E'wiki', 2) RETURNING 

"id" 

  Project Load (1.6ms)   SELECT * FROM "projects" WHERE ("projects"."id" = 2)

  Wiki Load (0.9ms)   SELECT * FROM "wikis" WHERE ("wikis".project_id = 2) LIMIT 1

  SQL (0.7ms)   INSERT INTO "wikis" ("project_id", "start_page", "status") VALUES(2, E'Wiki', 1) R

ETURNING "id" 

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'repository' AND "enabled_modules".project_id = 2) LIMIT 1

  SQL (0.6ms)   INSERT INTO "enabled_modules" ("name", "project_id") VALUES(E'repository', 2) RETU

RNING "id" 

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'boards' AND "enabled_modules".project_id = 2) LIMIT 1

  SQL (0.6ms)   INSERT INTO "enabled_modules" ("name", "project_id") VALUES(E'boards', 2) RETURNIN

G "id" 

  SQL (0.4ms)   INSERT INTO "projects_trackers" ("project_id", "tracker_id") VALUES (2, 1)

  SQL (0.3ms)   INSERT INTO "projects_trackers" ("project_id", "tracker_id") VALUES (2, 2)

  SQL (0.3ms)   INSERT INTO "projects_trackers" ("project_id", "tracker_id") VALUES (2, 3)

  EnabledModule Exists (0.7ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'issue_tracking' AND "enabled_modules".project_id = 2 AND "enabled_modules".i

d <> 9) LIMIT 1

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'time_tracking' AND "enabled_modules".project_id = 2 AND "enabled_modules".id

 <> 10) LIMIT 1

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'news' AND "enabled_modules".project_id = 2 AND "enabled_modules".id <> 11) L

IMIT 1

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'documents' AND "enabled_modules".project_id = 2 AND "enabled_modules".id <> 

12) LIMIT 1

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'files' AND "enabled_modules".project_id = 2 AND "enabled_modules".id <> 13) 

LIMIT 1

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'wiki' AND "enabled_modules".project_id = 2 AND "enabled_modules".id <> 14) L

IMIT 1

  EnabledModule Exists (0.6ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'repository' AND "enabled_modules".project_id = 2 AND "enabled_modules".id <>

 15) LIMIT 1

  EnabledModule Exists (0.7ms)   SELECT "enabled_modules".id FROM "enabled_modules" WHERE ("enable

d_modules"."name" = E'boards' AND "enabled_modules".project_id = 2 AND "enabled_modules".id <> 16)

 LIMIT 1

  SQL (0.0ms)   RuntimeError: ERROR     C23505  Mduplicate key value violates unique constraint "p

rojects_trackers_unique"      Fnbtinsert.c    L298    R_bt_check_unique: INSERT INTO "projects_tra

ckers" ("project_id", "tracker_id") VALUES (2, 1)

  SQL (0.2ms)   ROLLBACK
History

#1 - 2009-05-16 00:58 - Andrew Kouznetsov

ruby 1.8.7 (2008-08-11 patchlevel 72) [x86_64-linux]

rails (2.2.2)

postgres-pr (0.6.1)

PostgreSQL 8.3.7

You can see the error on http://redmine.bellax.net

#2 - 2009-05-16 01:04 - Andrew Kouznetsov

stuff_to_do plugin makes this error

#3 - 2009-05-16 01:07 - Andrew Kouznetsov

sorry. I forgotten to launch rake task for plugins db migration

#4 - 2009-05-16 01:07 - Andrew Kouznetsov

- Status changed from New to Resolved

#5 - 2009-05-17 10:16 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Affected version (unused) deleted (devel)

- Resolution set to Invalid
